/**
  ******************************************************************************
  * @file    led.h
  * @author  ECS - Falko Jahn
  * @version V1.0.0
  * @date    29-Sep-2021
  * @brief   Muster Modul Treiber
  *
  *          Beschreibung          
  *          Dieses Modul enthält ein Musteraufbau einer Header Datei
  *
  *          Achtung:   
  *          Hinweis1 
  *          Hinweis2
  ******************************************************************************
  */ 
#ifndef __LED_H
#define __LED_H


//--- INCLUDEs -----------------------------------------------------------------

//--- GLOBALE TYPE DEFS --------------------------------------------------------       
    
//--- GLOBALE DEFINES ----------------------------------------------------------

//--- GLOBALE VARIABLEN PROTOTYPEN ---------------------------------------------
    
//--- GLOBALE FUNKTIONS PROTOTYPEN ---------------------------------------------
/**
  * @brief  LED Modul Init Funktion
  *
  *         Beschreibung:
  *         Init Funktion
  *   
  * @param  Keine
  *              
  * @retval Kein
  */
void LED_Init(void);

void LED_ErrorOn(void);
void LED_ErrorOff(void);
void LED_ErrorToggle(void);
void LED_ErrorStartBlink(int ontime, int offtime);
void LED_Test();
void LED_Exec();


void LED_FunctionOn(void);
void LED_FunctionOff(void);
void LED_FunctionToggle(void);
void LED_FunctionStartBlink(int ontime, int offtime);
void LED_Test();
void LED_Exec();
void LED_FunctionSetTimes(int ontime, int offtime);

#endif